Skip to content

Paged query for all role lists under permission space

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Paged query for all role lists under permission space, paged to obtain all role lists under permission space.

Method name

ManagementClient.listPermissionNamespaceRoles

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
codestringYes-Permission group unique identifier CodeexamplePermissionNamespace
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
querystringNo-Role Code or nametest

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listPermissionNamespaceRoles({
    page: 1,
    limit: 10,
    code: "examplePermissionNamespace",
    query: "exampleRole",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: PermissionNamespaceRolesListPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a PermissionNamespaceRolesListPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "name": "Role name",
      "code": "role1",
      "description": "This is a description of an example role",
      "namespace": "system",
      "updatedAt": "2022-07-03T02:20:30.000Z"
    }
  }
}

Data structure

PermissionNamespaceRolesListPagingDto

Agent infrastructure for identity, memory, and web action.